org.eclipse.net4j.channel

## Class ChannelInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.eclipse.net4j.buffer.BufferInputStream
    - - org.eclipse.net4j.channel.ChannelInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, IBufferHandler

      public class ChannelInputStream
      extends BufferInputStream

  An `input stream` that provides the `buffers` which arrive at a `channel` as a continuous byte sequence.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.buffer.BufferInputStream

      `DEFAULT_MILLIS_BEFORE_TIMEOUT, DEFAULT_MILLIS_INTERRUPT_CHECK, NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelInputStream(IChannel channel)`
    `ChannelInputStream(IChannel channel, long millisBeforeTimeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IChannel` | `getChannel()`
    `long` | `getMillisBeforeTimeout()`
    `long` | `getMillisInterruptCheck()`
    `int` | `read()`
    `void` | `setMillisBeforeTimeout(long millisBeforeTimeout)`
    `void` | `setMillisInterruptCheck(long millisInterruptCheck)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.net4j.buffer.BufferInputStream

      `close, closeChannel, ensureBuffer, getException, handleBuffer, isCCAM, restartTimeout, setException`

    - ### Methods inherited from class java.io.InputStream

      `available, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelInputStream

          public ChannelInputStream(IChannel channel)

    - #### ChannelInputStream

          public ChannelInputStream(IChannel channel,
                                    long millisBeforeTimeout)

  - ### Method Detail

    - #### getChannel

          public IChannel getChannel()

    - #### getMillisBeforeTimeout

          public long getMillisBeforeTimeout()

      Overrides:
        `getMillisBeforeTimeout` in class `BufferInputStream`

    - #### setMillisBeforeTimeout

          public void setMillisBeforeTimeout(long millisBeforeTimeout)

    - #### getMillisInterruptCheck

          public long getMillisInterruptCheck()

      Overrides:
        `getMillisInterruptCheck` in class `BufferInputStream`

    - #### setMillisInterruptCheck

          public void setMillisInterruptCheck(long millisInterruptCheck)

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `BufferInputStream`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BufferInputStream`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html